Comments
Comments
curl -X GET "https://example.com/api/v1/admin/comments"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/admin/comments/batch" \ -H "Content-Type: application/json" \ -d '{ "action": "string", "ids": [ "string" ] }'Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Comment ID
Response Body
curl -X DELETE "https://example.com/api/v1/admin/comments/string"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Comment ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/api/v1/admin/comments/string/status" \ -H "Content-Type: application/json" \ -d '{ "status": "Pending" }'Empty
curl -X GET "https://example.com/api/v1/comments"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Comment ID
Response Body
curl -X DELETE "https://example.com/api/v1/comments/string"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Comment ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/api/v1/comments/string/status" \ -H "Content-Type: application/json" \ -d '{ "status": "Pending" }'Empty
curl -X GET "https://example.com/api/v1/posts/string/comments"Empty
Path Parameters
slug*string
Post slug
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/posts/string/comments" \ -H "Content-Type: application/json" \ -d '{ "content": "string" }'Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
slug*string
Post slug
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/posts/string/comments/authed" \ -H "Content-Type: application/json" \ -d '{ "content": "string" }'Empty
